> For the complete documentation index, see [llms.txt](https://docs.solutioo.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.solutioo.de/vr-payment-gateway/zahlungen/transaktionen.md).

# Transaktionen

Jede Zahlung bei VR Payment wird als Transaktion in Business Central gespeichert und dem Payment Link bzw. Beleg zugeordnet.

#### Zuordnung

Die App sucht den passenden Link über:

1. Merchant-Referenz (`merchantReference` / `invoiceMerchantReference`), inkl. Präfix auf die externe ID (`<Belegnr.>-<Zeitstempel>`)
2. Betragsabgleich – unabhängig vom Link-Status

Beim nächsten Sync werden bereits vorhandene, noch unverknüpfte Transaktionen nachträglich zugeordnet.

#### Aktionen auf der Transaktionskarte

* **Zahlung einziehen (Capture)** – sichtbar bei autorisierten Zahlungen
* **Transaktion stornieren (Void)** – vor dem Einzug
* **Rückzahlung erstellen** / **Rückzahlungen anzeigen**
* **Zahlungseingang buchen** / **Buch.-Blattzeile erstellen**
* **Debitorenposten anzeigen**

Capture und Void stehen auch kontextabhängig je nach Transaktionsstatus bereit.

#### Status am Beleg

**Payment Status aktualisieren** auf Auftrag oder gebuchter Rechnung nennt den gefundenen Status oder meldet, wenn noch keine Transaktion zugeordnet ist.

```mermaid
stateDiagram-v2
    [*] --> Autorisiert
    Autorisiert --> Abgeschlossen: Capture
    Autorisiert --> Storniert: Void
    Abgeschlossen --> Rueckzahlung: Refund
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.solutioo.de/vr-payment-gateway/zahlungen/transaktionen.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
